> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import CSV for a specific program



## OpenAPI

````yaml post /csv_import/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /csv_import/{program_id}:
    post:
      tags:
        - Files
      summary: Import CSV for a specific program
      operationId: 6a7fb9363ef3b97c96391b11f30fca89
      parameters:
        - name: program_id
          in: path
          description: ID of the program
          required: true
          schema:
            type: integer
      requestBody:
        description: CSV file and import type
        required: true
        content:
          application/json:
            schema:
              properties:
                file:
                  description: CSV file to be imported
                  type: string
                import_type:
                  description: >-
                    Type of import (recipients, donors, relationships, payments,
                    emails)
                  type: string
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  fields:
                    description: Fields related to the import type
                    type: array
                    items:
                      type: object
                  first_row:
                    description: First row of the CSV file
                    type: array
                    items:
                      type: string
                  filename:
                    description: Name of the uploaded file
                    type: string
                  program_id:
                    description: ID of the program
                    type: integer
                  program:
                    description: Program details
                    type: object
                  import_type:
                    description: Type of import
                    type: string
                  settings:
                    description: Settings related to the import type
                    type: object
                  aii:
                    description: Auto increment ID status
                    type: boolean
                type: object
        '400':
          description: Invalid ID supplied
        '404':
          description: Program not found
        '500':
          description: Server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````